"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const memcached_1 = require("../memcached");
describe(memcached_1.MemcachedDriver.name, () => {
    describe("#del", () => {
        it("should work", () => __awaiter(this, void 0, void 0, function* () {
            const memcached = new memcached_1.MemcachedDriver(process.env.MEMCACHED_URL, { autoDiscovery: false });
            chai_1.expect(yield memcached.del("Key")).to.be.eq(false);
            yield memcached.set("Key", null);
            chai_1.expect(yield memcached.del("Key")).to.be.eq(true);
        }));
    });
});
//# sourceMappingURL=memcached_spec.js.map