import { Driver } from "./base";
export declare class MemcachedDriver implements Driver {
    private serverURL;
    private options;
    client: any;
    constructor(serverURL: string, options: {
        autoDiscovery: boolean;
    });
    get<Result>(key: string): Promise<Result | undefined>;
    getMulti<Result>(keys: string[]): Promise<{
        [key: string]: Result | undefined;
    }>;
    set<Result>(key: string, value: Result, lifetime?: number): Promise<void>;
    del(key: string): Promise<any>;
    flush(): Promise<void>;
}
